> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Template

> Send a WhatsApp template message



## OpenAPI

````yaml POST /templates/send
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /templates/send:
    servers:
      - url: https://business.pingmee.co.il
        description: Send a Whatsapp Template
    post:
      description: Send a WhatsApp template message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - from
                - to
                - type
                - templateId
              properties:
                from:
                  type: string
                  description: Sender phone number ID
                to:
                  type: string
                  description: Recipient phone number
                type:
                  type: string
                  default: template
                  enum:
                    - template
                templateId:
                  type: string
                  description: Template identifier
                templateData:
                  type: object
                  properties:
                    body:
                      type: object
                      properties:
                        parameters:
                          type: array
                          items:
                            type: string
                    header:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - IMAGE
                            - VIDEO
                            - DOCUMENT
                          description: Header media type
                        url:
                          type: string
                          format: uri
                  additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Template message sent successfully
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools

````